<% content_for :title, "Strona główna" %>

<div class="box">
	<div class="box-header">
		<h3 class="box-title">Dzień dobry, <%= current_user.name %>!</h3>
		<div class="box-tools pull-right"><%= l Date.today, format: :long %></div>
	</div>

	<!-- /.box-body -->
	<div class="box-footer text-center">
		<%= link_to "Dodaj nowy mailing", new_mailing_path, class: "btn btn-flat btn-lg btn-primary" %>
	</div>
</div>

<div class="row">
	<div class="col-sm-6">
		<div class="small-box bg-light-blue">
		    <div class="inner">
		      <h3><%= @assign_to_me %></h3>
		      <p>Masz <%= t('.mailing', count: @assign_to_me) %> <%= t('.assign', count: @assign_to_me) %> do siebie.</p>
		    </div>
		    <div class="icon">
		      <i class="ion ion-person-add"></i>
		    </div>
	    	<%= link_to "zobacz <i class='fa fa-arrow-circle-right'></i>".html_safe, mailings_path(assign_to: current_user.id), class: "small-box-footer" %>
	  	</div>
	</div>

	<div class="col-sm-6">
		<div class="small-box bg-green">
		    <div class="inner">
		      <h3><%= @send_today %></h3>
		      <p>Mamy dzisiaj do wysłania <%= t('.mailing', count: @send_today) %>.</p>
		    </div>
		    <div class="icon">
		      <i class="fa fa-paper-plane-o"></i>
		    </div>
	    	<%= link_to "zobacz <i class='fa fa-arrow-circle-right'></i>".html_safe, mailings_path(from: Date.today, to: Date.today), class: "small-box-footer" %>
	  	</div>
	</div>
</div>





<div class="row">

	<div class="col-sm-6">
		<div class="info-box ">
		  <!-- Apply any bg-* class to to the icon to color it -->
		<%= link_to mailings_path(:status_id => 1) do %>
		  <span class="info-box-icon bg-teal"><i class="fa fa-calendar-check-o"></i></span>
		<% end %>
		  <div class="info-box-content">
		    <span class="info-box-text">Liczba mailingów zaplanowanych</span>
		    <span class="info-box-text text-muted">prace nad nimi jeszcze się nie rozpoczęły</span>
		    <span class="info-box-number"><%= @plan %></span>
		  </div><!-- /.info-box-content -->
		</div><!-- /.info-box -->
	</div>

	<div class="col-sm-6">
		<div class="info-box">
		  <!-- Apply any bg-* class to to the icon to color it -->
		<%= link_to mailings_path(:status_id => 4) do %>
		  <span class="info-box-icon bg-orange"><i class="fa fa-clock-o"></i></span>
		<% end %>
		  <div class="info-box-content">
		    <span class="info-box-text">Liczba mailingów oczekujących na wysyłkę</span>
		    <span class="info-box-number"><%= @waiting %></span>
		  </div><!-- /.info-box-content -->
		</div><!-- /.info-box -->
	</div>

	<div class="col-sm-6">
		<div class="info-box">
		  <!-- Apply any bg-* class to to the icon to color it -->
		<%= link_to mailings_path(:status_id => 2) do %>
		  <span class="info-box-icon bg-aqua"><i class="fa fa-calendar"></i></span>
		<% end %>
		  <div class="info-box-content">
		    <span class="info-box-text">Liczba mailingów proponowanych</span>
		    <span class="info-box-text text-muted">bez ustalonych dat wysyłki</span>
		    <span class="info-box-number"><%= @dream %></span>
		  </div><!-- /.info-box-content -->
		</div><!-- /.info-box -->
	</div>

	<div class="col-sm-6">
		<div class="info-box">
		  <!-- Apply any bg-* class to to the icon to color it -->
		<%= link_to mailings_path(:status_id => 3) do %>
		  <span class="info-box-icon bg-red"><i class="fa fa-group"></i></span>
		<% end %>
		  <div class="info-box-content">
		    <span class="info-box-text">Liczba mailingów w trakcie pracy</span>
		    <span class="info-box-number"><%= @inprogress %></span>
		  </div><!-- /.info-box-content -->
		</div><!-- /.info-box -->
	</div>



	<div class="col-sm-6">
		<div class="info-box">
		  <!-- Apply any bg-* class to to the icon to color it -->
		<%= link_to mailings_path(:status_id => 5) do %>
		  <span class="info-box-icon bg-green"><i class="fa fa-envelope-o"></i></span>
		<% end %>
		  <div class="info-box-content">
		    <span class="info-box-text">Liczba mailingów wysłanych</span>
		    <span class="info-box-number"><%= @send %></span>
		  </div><!-- /.info-box-content -->
		</div><!-- /.info-box -->
	</div>

	<div class="col-sm-6">
		<div class="info-box">
		  <!-- Apply any bg-* class to to the icon to color it -->
		<%= link_to mailings_path do %>
		  <span class="info-box-icon bg-purple"><i class="fa fa-envelope"></i></span>
		<% end %>
		  <div class="info-box-content">
		    <span class="info-box-text">Liczba wszystkich mailingów</span>
		    <span class="info-box-number"><%= @mailings %></span>
		  </div><!-- /.info-box-content -->
		</div><!-- /.info-box -->
	</div>

	
</div>